Issue: bug: iOS document picker not pulling the latest code from the repository

What I Wanted to Do

I tried installing the plugin using ionic command but it is not pulling the latest version from the github repo which is 1.2.0

What Happened Instead

The version that the plugin is installing is older i.e. 1.0.0.

Reproduction Steps

  1. Create a new blank Ionic project
  2. Add the plugin using commands
    ionic cordova plugin add cordova-plugin-documentpicker and
    npm install --save @ionic-native/document-picker@4
  3. Add the platform iOS using command
    ionic cordova platform add ios
  4. If there is any error for β€˜β€¦/cordova/platform_metadata’ then remove the plugin
    cordova plugin rm cordova-plugin-add-swift-support --force
  5. After removing add the plugin again using command
    cordova plugin add cordova-plugin-add-swift-support
  6. Build the project using command
    ionic cordova build ios
  7. Open the project in Xcode 9.4.1 or in Xcode 10.2, It selects the default swift compile version as 4.1. Now run command to build the project. Error is generated in DocumentPicker.swift file as displayed in attachment

Details

As per ionic community, the plugin npm registry should be updated to 1.2.0 so that it can pull the latest version whenever installing it via above commands

Platform Info

$ npm --versions
{ iosdocPickerTest: '0.0.1',
  npm: '6.9.0',
  ares: '1.10.1-DEV',
  cldr: '32.0',
  http_parser: '2.8.0',
  icu: '60.1',
  modules: '57',
  nghttp2: '1.25.0',
  node: '8.11.1',
  openssl: '1.0.2o',
  tz: '2017c',
  unicode: '10.0',
  uv: '1.19.1',
  v8: '6.2.414.50',
  zlib: '1.2.11' }
$ node -p process.platform
darwin

(This forum is about npm itself rather than npm packages. I have moved your topic to #community:javascript. )

Updating the package is done by the package author, I suggest you open an issue against the package and ask for the published version on npmjs to be updated here: https://github.com/iampossible/Cordova-DocPicker/issues

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.